"use client";

import { useRouter } from "next/navigation";
import { Icons } from "./icons";
import { Button } from "./ui/button";

export const BackButton = () => {
    const router = useRouter();

    return (
        <Button
            variant="ghost"
            size="icon"
            onClick={() => router.back()}
            title="Go Back"
        >
            <Icons.chevronLeft />
        </Button>
    );
};